Name:       qtractor
Version:    0.5.4
Release:    %mkrel 1
Summary:    An Audio/MIDI multi-track sequencer
License:    GPLv2+
Group:      Sound
Source0:    http://downloads.sourceforge.net/qtractor/%{name}-%{version}.tar.gz
URL:        http://qtractor.sourceforge.net/
BuildRequires:  qt4-devel
BuildRequires:  jackit-devel >= 0.100.0
BuildRequires:  libalsa-devel
BuildRequires:  sndfile-devel >= 1.0.11
BuildRequires:  libvorbis-devel
BuildRequires:  mad-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  rubberband-devel
BuildRequires:  liblo-devel
BuildRequires:  ladspa-devel
BuildRequires:  dssi-devel
BuildRequires:  lilv-devel suil-devel
BuildRequires:  slv2-devel 
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils

Requires:   lv2core
Requires:   suil-gtk2-in-qt4

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%setup -q

%build
%configure2_5x --enable-lilv --enable-suil
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# Fix the .desktop file by removing
# 2 non-Mdv key and 2 non-standard categories
desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --remove-category="MIDI" \
    --remove-category="ALSA" \
    --remove-category="JACK" \
    --add-category="Midi" \
    --add-category="X-MandrivaLinux-Sound" \
    --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%lang(cs) %{_datadir}/locale/qtractor_cs.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog

* Sun Mar 04 2012 juancho <juancho> 0.5.4-1.mga2
+ Revision: 217778
- Updated to 0.5.4

* Sat Dec 10 2011 eatdirt <eatdirt> 0.5.1-2.mga2
+ Revision: 180391
- Rebuilt for librubberband-1.7.0

* Thu Dec 01 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 174724
- update file list
- new version 0.5.1

* Wed Sep 07 2011 tv <tv> 0.5.0-1.mga2
+ Revision: 139981
- new release
- enable new LV2 GUI support through suil and lilv

* Sun May 08 2011 shikamaru <shikamaru> 0.4.8-2.mga1
+ Revision: 96528
- new release 0.4.8 - bump rel to ease upgrade from mdv

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4.7-1.mga1
+ Revision: 86000
- Clean spec (buildroot, defines, macros, one req per line)
- imported package qtractor

